@keyframes bottomToTopFadeMessagesText {

    from {
        opacity: 0;
        top: 0em;
    }

    to {
        opacity: 1;
        top: -0.45em;
    }
}

@keyframes bottomToTopFade {

    from {
        opacity: 0;
        top: 1em;
    }

    to {
        opacity: 1;
        top: 0em;
    }
}

@keyframes zoomIn {

    from {
        transform: scale(0.5);
        opacity: 0;
    }

    to {
        transform: scale(1);
        opacity: 1;
    }

}

@keyframes zoomOut {

    from {
        transform: scale(1);
        opacity: 1;
    }

    to {
        transform: scale(0.5);
        opacity: 0;
    }

}

@keyframes fadeIn {

    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }

}

@keyframes fadeOut {

    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }

}

@keyframes pushLeft {

    from {
        transform: translateX(0%);
        opacity: 1;
    }

    to {
        transform: translateX(-100%);
        opacity: 0;
    }

}

@keyframes pushRight {

    from {
        transform: translateX(0%);
        opacity: 1;
    }

    to {
        transform: translateX(100%);
        opacity: 0;
    }

}

@keyframes pushFromRight {

    from {
        transform: translateX(100%);
        opacity: 0;
    }

    to {
        transform: translateX(0%);
        opacity: 1;
    }

}

@keyframes pushFromLeft {

    from {
        transform: translateX(-100%);
        opacity: 0;
    }

    to {
        transform: translateX(0%);
        opacity: 1;
    }

}

* {
    margin: 0;
    padding: 0;
    font-size: 16px;
}

@media screen and (max-width: 1200px) {

    * {

        font-size: 14px;

    }

}

@media screen and (max-width: 820px) {
    * {
        font-size: 12px;
    }
}

@media screen and (max-width: 600px) {

    * {
        font-size: 10px;
    }

}

@media screen and (max-width: 400px) {
    * {
        font-size: 9px;
    }
}

body {
    background: rgba(60, 60, 60, 0.9);
}

.appendScenarioBtn {position: fixed; bottom: 0; right: 3vw; background: #379F4C; color: #fff; padding: 1.25rem 1.5rem; font-size: 1.5rem; z-index: 3000;}
.appendScenarioBtn > span {position: relative;}
.appendScenarioBtn > span:before {content: '+'; width: 1rem; height: 1rem; background: #fff; color: #000; border-radius: 50%; display: inline-flex; align-items: center; justify-content: center; margin-right: 1rem; }

.page {
    background: url(background.png);
    background-size: 7%;
    background-position: center;
    opacity: 0.1;
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.arrowR {
    position: fixed;
    background: url(arrow.png);
    background-position: center;
    background-size: cover;
    right: 2%;
    top: 45%;
    height: 10%;
    width: 4%;
    z-index: 667;
    transition-duration: 0.4s;
    opacity: 0.4;
    transform: scale(0.8);
}

.arrowL {
    display: none;
    position: fixed;
    background: url(arrow.png);
    background-position: center;
    background-size: cover;
    left: 2%;
    top: 45%;
    height: 10%;
    width: 4%;
    z-index: 667;
    transition-duration: 0.4s;
    opacity: 0;
    transform: scale(0.8) rotateY(180deg);
}

.arrowR:hover {
    transform: scale(1);
    opacity: 1;
    cursor: pointer;
}

.arrowL:hover {
    transform: scale(1) rotateY(180deg);
    opacity: 1;
    cursor: pointer;
}

.mainframe {
    position: fixed;
    left: 20%;
    top: 10%;
    width: 60%;
    height: 80%;
    display: flex;
    justify-content: space-around;
    background: rgba(190, 190, 190, 0.5);
    border-radius: 5px;
    border: 2px black solid;
    box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.5);
    z-index: 666;
}

@media screen and (max-width: 820px) {
    .mainframe {
        flex-direction: column-reverse;
        width: 95%;
        left: 2.5%;
    }
}

.cp {
    display: none;
    position: fixed;
    left: 20%;
    top: 35%;
    width: 60%;
    height: 30%;
    justify-content: space-around;
    background: rgba(190, 190, 190, 0.5);
    border-radius: 5px;
    border: 2px black solid;
    box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.5);
    z-index: 666;
    transition-duration: 0.5s;
}

.cp .login {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 40%;
}

.cp .login .title {
    font-size: 2em;
    text-align: center;
}

.cp .login .alert {

    display: none;
    font-size: 1em;
    background: rgba(233, 0, 0, 0.5);
    padding: 2%;
    border-radius: 5px;
    box-shadow: 5px 5px 7px rgba(0, 0, 0, 0.5);
    border: 2px black solid;
    transition-duration: 0.4s;
    text-align: center;

}

.cp .login .alert .title {

    font-size: 1.5em;
    margin-bottom: 3%;
    height: 20%;

}

.cp .login .container {

    height: 90%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;

}

.cp .login input {

    margin: 2%;
    font-size: 1.5em;
    background: rgba(230, 230, 230, 0.8);
    border-radius: 4px;
    box-shadow: 5px 5px 7px rgba(0, 0, 0, 0.5);
    text-align: center;

}

.cp .login #loginBtn {

    font-size: 2em;

}

.cp .controls {

    display: none;
    flex-direction: column;
    vertical-align: middle;
    margin: 0 auto;
    text-align: center;

}

.cp .controls .title {

    font-size: 1.5em;

}

.cp .controls .functions {

    margin: 1%;
    padding: 0.5%;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    flex-wrap: wrap;
    align-items: center;
    height: 100%;
    align-items: center;
    overflow-y: auto;
}

.cp .controls .functions .function {

    border: 2px gray solid;
    box-shadow: 5px 5px 6px rgba(0, 0, 0, 0.5);
    background: rgba(211, 211, 211, 0.7);
    border-radius: 6px;
    width: 100%;
    height: auto;
    margin: 1%;
    margin-bottom: 4%;
    align-items: center;
    transition-duration: 0.5s;

}

.cp .controls .functions .function .randomAvatar {

    margin: 8%;
    border-radius: 4px;
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.5);
    transition-duration: 0.4s;

}

.cp .controls .functions .function .randomAvatar:hover {

    transform: scale(1.15) translateY(-5%);
    cursor: pointer;

}

@media screen and (max-width: 1100px) {


    .cp .controls .functions .function {

        width: 75%;
        align-items: center;

    }

    .cp .controls .functions .function .randomAvatar {

        margin: 2%;
        border-radius: 4px;
        box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.5);

    }

}

.cp .controls .functions .function .head {

    font-size: 1.5em;
    border: 2px gray solid;
    box-shadow: 5px 5px 6px rgba(0, 0, 0, 0.5);
    background: rgba(211, 211, 211, 0.85);
    border-radius: 4px 4px 0px 0px;

}

.cp .controls .functions .function .head:hover {

    cursor: pointer;

}

.cp .controls .functions .function .body {

    /*    border: 2px gray solid;*/
    border-radius: 0px 0px 4px 4px;
    overflow: hidden;
    transition-duration: 0.6s;

    /*    height: 0em;*/
}

#choosed {

    width: 70%;
    margin: 0 auto;
    margin-top: 2%;
    margin-bottom: 3%;
    text-align: center;
    font-size: 1.1em;
    border-radius: 4px;
    background: rgba(255, 255, 255, 0.3);


}

.cp .controls input,
.cp .controls select,
.cp .controls textarea {

    margin: 4%;
    font-size: 1.2em;
    width: 90%;
    background: rgba(230, 230, 230, 0.8);
    border-radius: 4px;
    box-shadow: 5px 5px 7px rgba(0, 0, 0, 0.5);
    text-align: center;
    resize: none;

}

.mainframe .news {

    width: 54%;
    padding: 0.5%;
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    overflow-x: hidden;

}

@media screen and (max-width: 820px) {

    .mainframe .news {

        width: 100%;
        height: auto;
        overflow-y: auto;
        overflow-x: hidden;

    }
}

.mainframe .news .logo {

    font-size: 2em;
    font-weight: bold;
    transform: scale(0.95);

}

.mainframe .news .message {

    background: rgba(190, 190, 190, 0.5);
    border: 2px black solid;
    margin: 1%;
    padding: 0.5%;
    border-radius: 4px;
    box-shadow: 5px 5px 6px rgba(0, 0, 0, 0.5);
    transition-duration: 0.4s;
    transform: scale(0.95);

}


.mainframe .news .message input,
.mainframe .news .message select,
.mainframe .news .message textarea {

    margin: 4%;
    font-size: 1em;
    width: 90%;
    background: rgba(230, 230, 230, 0.8);
    border-radius: 4px;
    box-shadow: 5px 5px 7px rgba(0, 0, 0, 0.5);
    resize: none;

}

.mainframe .news .message:hover {

    transform: scale(1);
    cursor: pointer;

}

.mainframe .news .message .buttons {

    background: rgba(0, 0, 0, 0);
    position: fixed;
    display: none;
    flex-direction: row;
    width: 25%;
    height: 2em;
    right: 0%;
    bottom: 0%;
    opacity: 0.5;
    transition-duration: 0.4s;
    border-radius: 1px;

}

.mainframe .news .message .buttons:hover {

    height: 2.5em;
    background: rgba(0, 0, 0, 0.5);
    opacity: 1;

}

.mainframe .news .message .edit {

    display: block;
    background: url(edit.png);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    width: 49%;
    height: 100%;
    top: 0%;
    right: 0%;
    margin: 1%;
    transition-duration: 0.4s;


}

.mainframe .news .message .edit:hover {

    transform: scale(1.2);

}

.mainframe .news .message .delete {

    display: block;
    background: url(delete.png);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    width: 49%;
    height: 100%;
    top: 0%;
    right: 0%;
    transition-duration: 0.4s;


}

.mainframe .news .message .delete:hover {

    transform: scale(1.2);

}

.mainframe .news .message .title {

    font-size: 1.5em;
    font-weight: bold;
    text-decoration: underline;

}

.mainframe .news .message .date {

    font-size: 0.95em;
    margin-top: 2%;

}

.mainframe .splitter {

    width: 1%;
    background: rgba(49, 49, 49, 0.2);
    border-radius: 64px;
    filter: blur(4px);

}

.mainframe .analytics {

    width: 65%;
    padding: 0.5%;
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    overflow-x: hidden;

}

@media screen and (max-width: 820px) {

    .mainframe .analytics {

        height: auto;
        width: 100%;
        overflow-y: hidden;
        overflow-x: hidden;

    }
}

.mainframe .analytics .counter {}

#and {

    margin: 0 auto;
    font-size: 2em;
    margin: 5%, 0, 5%, 0;

}

.mainframe .analytics .counter .number {

    font-size: 2.4em;
    opacity: 0;
    display: inline-block;
    position: relative;
}

.mainframe .analytics .counter .line {

    animation: bottomToTopFade 2s 1;
    position: relative;

}

.mainframe .analytics .counter .messagesText {

    font-size: 2.5em;
    position: relative;
    top: -0.45em;
    animation: bottomToTopFadeMessagesText 2s 1;

}

.mainframe .analytics .container {

    justify-content: flex-end;
    position: relative;
    height: 100%;
    vertical-align: middle;

}

.mainframe .analytics .info {

    display: flex;
    justify-content: flex-end;
    flex-direction: row;
    overflow-y: hidden;
    overflow-x: hidden;
    margin: 0 auto;
    height: 100%;
    z-index: 670;

}

@media screen and (max-width: 820px) {

    .mainframe .analytics .info {

        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-end;
        margin-top: -65%;
        margin-right: 0%;
        width: 100%;
        padding-bottom: 25%;


    }

    #and {

        display: none;

    }

}

.mainframe .analytics .info .line {

    background: rgba(190, 190, 190, 0.5);
    border: 2px black solid;
    padding: 0.5%;
    margin: 0.3%;
    border-radius: 4px;
    box-shadow: 5px 5px 6px rgba(0, 0, 0, 0.5);
    transition-duration: 0.4s;
    transform: scale(0.95) translateY(5%);
    animation: bottomToTopFade 0.4s 1;
    text-align: center;
    display: none;
    overflow-y: auto;
    overflow-x: hidden;
    height: 120%;
    width: 30%;
    align-items: center;

}

@media screen and (min-width: 600px) {
    .mainframe .analytics .info .line {
        margin: 2%;
    }
}

.mainframe .analytics .info .line .value {


    margin: 2%;
    font-size: 1.7em;
    font-weight: bold;
    text-decoration: underline;

}

.mainframe .analytics .info .line:hover {

    transform: scale(1) translateY(0%);
    cursor: pointer;

}

.mainframe .analytics img {

    width: 70%;

}

.mainframe .analytics .diagramm {

    z-index: 669;
    width: 100%;

}

@media screen and (max-width: 820px) {

    .mainframe .analytics .diagramm {

        z-index: 669;
        width: 60%;
        padding-bottom: 25%;

    }

}

.mainframe .analytics #diagrammCnv {

    width: 100%;
    transition-duration: 0.4s;

}

.mainframe .analytics #diagrammCnv:hover {

    cursor: pointer;

}

.blur {

    display: none;
    animation: fadeIn 0.6s 1;
    position: fixed;
    height: 100%;
    width: 100%;
    top: 0%;
    left: 0%;
    background: rgba(0, 0, 0, 0.9);
    z-index: 667;

}

.groups {

    display: none;
    animation: zoomIn 0.4s 1;
    position: fixed;
    left: 15%;
    top: 15%;
    width: 70%;
    height: 70%;
    justify-content: space-around;
    flex-direction: column;
    align-items: center;
    background: rgba(166, 166, 166, 0.6);
    border-radius: 5px;
    border: 2px black solid;
    box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.5);
    z-index: 668;

}

#confirmGroupsBtn {

    margin: 4%;
    font-size: 1.2em;
    background: rgba(230, 230, 230, 0.8);
    border-radius: 4px;
    box-shadow: 5px 5px 7px rgba(0, 0, 0, 0.5);
    text-align: center;
    resize: none;

}

.groups .logo,
.groups .teachers {

    font-size: 1.7em;

}

.groups .list {


    display: flex;
    flex-direction: row;
    flex-wrap: wrap;

    font-size: 1.4em;

}

.inputVK_ID {

    display: none;
    /*    display: flex;*/
    animation: zoomIn 0.4s 1;
    position: fixed;
    left: 20%;
    top: 30%;
    width: 60%;
    height: 35%;
    justify-content: space-around;
    flex-direction: row;
    align-items: center;
    align-content: center;
    background: rgba(166, 166, 166, 0.6);
    border-radius: 5px;
    border: 2px black solid;
    box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.5);
    z-index: 668;

}

.inputVK_ID input,
.inputVK_ID textarea {

    margin: 2%;
    font-size: 1.5em;
    background: rgba(230, 230, 230, 0.8);
    border-radius: 4px;
    box-shadow: 5px 5px 7px rgba(0, 0, 0, 0.5);
    text-align: center;
    resize: none;

}

.inputVK_ID .inputs {

    text-align: center;
    width: 60%
}

.inputVK_ID .profile {

    width: 40%;
    margin-right: 5%;
    display: flex;
    flex-direction: column;

}

.inputVK_ID .name {

    /*    display: none;*/
    text-align: center;
    margin-top: 2%;
    font-size: 1.4em;

}

.inputVK_ID .field {
    text-align: center;
}

.inputVK_ID .profile .avatar {

    max-width: 100%;
    max-height: 60%;
    transition-duration: 0.4s;
    transform: translateY(-25%);
    margin-bottom: -12%;

}

.inputVK_ID .profile .avatar:hover {

    transform: scale(1.15) translateY(-35%);
    cursor: pointer;

}


.inputVK_ID .profile .avatar img {

    border-radius: 4px;
    box-shadow: 5px 5px 4px rgba(0, 0, 0, 0.5);

}

.groups .list input,
.groups .teachers input {

    transform: scale(1.7);

}

.teachers {

    width: 50%;
    text-align: center;

}

#sendTeachers {

    margin-left: 3%;

}

.groups .list .group {

    width: 15%;
    margin: 0.5%;

}

.groups .list .group input,
.groups .list .group label {

    margin: 8%;

}
